# eric4.Plugins.PluginVmMdiArea

Module implementing the mdi area view manager plugin.

### Classes

VmMdiAreaPlugin | Class implementing the Workspace view manager plugin.

### Functions

__checkQtVersion | Private module function to check the Qt version.
previewPix | Module function to return a preview pixmap.

## VmMdiAreaPlugin

Class implementing the Workspace view manager plugin.

### Derived from

object

### Methods

VmMdiAreaPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

#### VmMdiAreaPlugin (Constructor)

VmMdiAreaPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VmMdiAreaPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VmMdiAreaPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## __checkQtVersion

__checkQtVersion()

Private module function to check the Qt version.

Up

## previewPix

previewPix()

Module function to return a preview pixmap.

Returns:
  preview pixmap (QPixmap)

Up